View Issue Details

IDProjectCategoryView StatusLast Update
0001141SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.3.5 
Target Version3.3.6Fixed in Version3.3.6 
Summary0001141: Prevent invalid warning that expected ack was not received
DescriptionIf we short circuit the sending of batches because the byte limit was reached due to the stream.to.file.threshold.bytes setting we were reporting that we did not receive an ack for the batches even though we intentionally did not send them.
TagsNo tags attached.

Activities

chenson

2013-04-03 07:53

administrator   ~0000241

Ready for release

Related Changesets

SymmetricDS: master 3e7b6a5e

2013-03-26 11:25:03

chenson

Details Diff
0001141: Prevent invalid warning that expected ack was not received
0001141
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PushService.java Diff File

SymmetricDS: master 068d8839

2013-03-26 11:25:36

chenson

Details Diff
0001141: Prevent invalid warning that expected ack was not received
0001141
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/DefaultDataLoaderFactory.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/ProcessInfo.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/ProcessInfoDataWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/statistic/StatisticManager.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DataContext.java Diff File
add - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/NestedDataWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/TransformDatabaseWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/TransformWriter.java Diff File

Issue History

Date Modified Username Field Change
2013-03-26 11:24 chenson New Issue
2013-03-26 11:24 chenson Status new => assigned
2013-03-26 11:24 chenson Assigned To => chenson
2013-03-26 11:26 chenson Status assigned => resolved
2013-03-26 11:26 chenson Fixed in Version => 3.4.0
2013-03-26 11:26 chenson Resolution open => fixed
2013-03-29 15:52 chenson Fixed in Version 3.4.0 => 3.3.6
2013-03-29 15:52 chenson Target Version 3.4.0 => 3.3.6
2013-04-03 07:53 chenson Note Added: 0000241
2013-04-03 07:53 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7006
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7007
2014-02-02 20:53 Changeset attached => SymmetricDS 3.3 r7023
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 068d8839
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 3e7b6a5e